@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.bundle.scp.css';

/* _content/ThePhysiciansGuildBlazor/Components/Guild/Admin/Pages/MailingList.razor.rz.scp.css */
/* Had to wrap the control in a QuickGrid div and then use the ::deep selector to get to the button color. */
.QuickGrid[b-659su0tgv1]  .paginator button {
    background-color: #F1C835;
}
/* _content/ThePhysiciansGuildBlazor/Components/Guild/Admin/Pages/Users.razor.rz.scp.css */
/* Had to wrap the control in a QuickGrid div and then use the ::deep selector to get to the button color. */
.QuickGrid[b-q03t04ipsz]  .paginator button {
    background-color: #F1C835;
}
/* _content/ThePhysiciansGuildBlazor/Components/Guild/Pages/Castle.razor.rz.scp.css */
#board[b-dd95vp3ofg] {
    width: 1200px;
    height: 780px;
    background-size: contain;
    background-repeat: no-repeat;
    padding-top: 120px;    
    padding-left: 60px;
    position: relative;
}

.form-label[b-dd95vp3ofg] {
    color: #F1C835;
    padding-left: 12px;
    text-shadow: 2px 2px 2px black;
    font-size: 14px;
    padding-top: 4px;
}

#profileWarning[b-dd95vp3ofg] {
    text-shadow: 1px 1px #333333;
    display: flex;
    justify-content: center;
    align-items: center;
    color: gold;
    font-weight: bold;
    height: 100%;
}

/* Select */

[b-dd95vp3ofg] .form-select {
    border: 0px;
    width: 275px;
    height: 30px;
    color: white;
    margin-left: 40px;
    margin-top: 36px;
    background-color: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.form-select option[b-dd95vp3ofg] {
    background-color: #333333;
}

[b-dd95vp3ofg] .form-select:focus {
    outline: none;
}

.form-select-label[b-dd95vp3ofg] {
    color: #F1C835;
    padding-top: 24px;
    padding-left: 12px;
    text-shadow: 2px 2px 2px black;
    font-size: 14px;
}

.form-select-back[b-dd95vp3ofg] {
    background-image: url('/images/profile/formbox.png');
    background-repeat: no-repeat;
    height: 158px;
    width: 375px;
}

/* Input */

/* Hide the spin buttons for Chrome, Safari, Edge, and Opera */
[b-dd95vp3ofg] input::-webkit-outer-spin-button,
[b-dd95vp3ofg] input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Hide the spin buttons for Firefox */
[b-dd95vp3ofg] input[type=number] {
    -moz-appearance: textfield;
}

.form-input-back[b-dd95vp3ofg] {
    background-image: url('/images/castle/biginput.png');
    background-repeat: no-repeat;
    height: 70px;
    width: 400px;
}

[b-dd95vp3ofg] .form-input-text {
    background-color: transparent; /* Makes the background transparent */
    border: 0px; /* Removes the border */
    height: 30px;
    margin-top: 20px;
    margin-left: 40px;
    color: white;
}

[b-dd95vp3ofg] .form-input-text:focus {
    outline: none;
}

.form-input-back-small[b-dd95vp3ofg] {
    background-image: url('/images/castle/smallinput.png');
    background-repeat: no-repeat;
    height: 45px;
    width: 200px;
}

[b-dd95vp3ofg] .form-input-text-small {
    background-color: transparent; /* Makes the background transparent */
    border: 0px; /* Removes the border */
    height: 30px;
    margin-top: 10px;
    margin-left: 20px;
    color: white;
}

[b-dd95vp3ofg] .form-input-text-small:focus {
    outline: none;
}

/* Media */

@media (max-width: 600px) {
    #left[b-dd95vp3ofg] {
        width: auto !important;
        height: auto !important;
        background-image: none !important;
        padding: 4px !important;
    }

    #board[b-dd95vp3ofg] {
        padding-top: 0px;
        padding-left: 0px;
        width: auto;
        height: auto;
        background-color: #9D8969;
        background-image: none !important;
        padding-bottom: 8px;
    }
}
/* _content/ThePhysiciansGuildBlazor/Components/Guild/Pages/Destiny.razor.rz.scp.css */
/* Hide default checkbox */
[b-ebnuy5e5dq] input[type="checkbox"] {
    appearance: none;
    width:0px;
    height:0px;
    opacity:0;
    margin:0px;
}

.checkbox-container[b-ebnuy5e5dq] {
    padding-bottom: 30px;
}

/* Style the label to serve as the custom checkbox visual */
.checkbox-container label[b-ebnuy5e5dq] {
    cursor: pointer;
    position: relative;
    -webkit-tap-highlight-color: rgba(0,0,0,0); /* hides the tap color on ios */
}

/* Unchecked state */
.checkbox-container label[b-ebnuy5e5dq]::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 130px;
    height: 34px;
    background-image: url('/images/destiny/switchno.png');
    transition: background-image 0.4s;
}

/* Checked state */
input[type="checkbox"]:checked + label[b-ebnuy5e5dq]::before {
    background-image: url('/images/destiny/switchyes.png');
}

#board[b-ebnuy5e5dq] {
    display: flex;
    width: 1200px;
    height: 780px;
    background-size: contain;
    background-repeat: no-repeat;
    padding-top: 120px;
    padding-left: 60px;
    position: relative;
}

.form-label[b-ebnuy5e5dq] {
    color: #2F2810;
    font-size: 24px;
    font-weight: bold;
}

#profileWarning[b-ebnuy5e5dq] {
    text-shadow: 1px 1px #333333;
    display: flex;
    justify-content: center;
    align-items: center;
    color: gold;
    font-weight: bold;
    height: 100%;
}

/* Media */

@media (max-width: 600px) {
    #left[b-ebnuy5e5dq] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
    }

    #right[b-ebnuy5e5dq] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
    }

    #board[b-ebnuy5e5dq] {
        flex-direction: column;
        padding-top: 0px;
        padding-left: 0px;
        width: auto;
        height: auto;
        background-color: #9D8969;
        background-image: none !important;
        padding-bottom: 8px;
    }
}
/* _content/ThePhysiciansGuildBlazor/Components/Guild/Pages/Profile.razor.rz.scp.css */
#board[b-gsg5irxk2l] {
    display: flex;
    width: 1200px;
    height: 730px;
    padding-top: 160px;
    background-size: contain;
    background-repeat: no-repeat;
    padding-left: 60px;
    position: relative;
}

.form-label[b-gsg5irxk2l] {
    color: #F1C835;
    padding-top: 24px;
    padding-left: 12px;
    text-shadow: 2px 2px 2px black;
    font-size: 14px;
}

/* Class */

#className[b-gsg5irxk2l] {
    position: absolute;
    top: 30px;
    font-size: 140%;
    font-weight: bold;
    width: 100%;
    text-align: center;
}

#classImage[b-gsg5irxk2l] {
    filter: drop-shadow(0 0 10px rgba(0, 255, 255, 0.8)) drop-shadow(0 0 20px rgba(0, 255, 255, 0.5));
    transform: translateZ(0); /* Have to add this as a way to make the drop shadow work on iOS. This forces hardware acceleration. */
    position: absolute;
    top: 70px;
}

#classImageBox[b-gsg5irxk2l] {
    background-image: url('/images/profile/profilecharbox.png');
    background-size: cover;
    width: 300px;
    height: 400px;
    background-repeat: no-repeat;
    position: relative;
    margin: auto;
}

/* Notes */

.form-notes-back[b-gsg5irxk2l] {
    background-image: url('/images/profile/formnotes.png');
    background-repeat: no-repeat;
    height: 190px;
    width: 350px;
}

[b-gsg5irxk2l] .form-notes {
    border: 0px;
    color: #F1C835;
    background-color: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    margin-top: 35px;
    margin-left: 35px;
    width: 275px;
    height: 125px;
    resize: none;
}

[b-gsg5irxk2l] .form-notes:focus {
    outline: none;
}

/* Select */

.form-select-back[b-gsg5irxk2l] {
    background-image: url('/images/profile/formbox.png');
    background-repeat: no-repeat;
    height: 175px;
    width: 375px;
}

[b-gsg5irxk2l] .form-select {
    border: 0px;
    width: 275px;
    height: 30px;
    color: white;
    margin-left: 40px;
    margin-top: 36px;
    background-color: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.form-select option[b-gsg5irxk2l] {
    background-color: #333333;
}

[b-gsg5irxk2l] .form-select:focus {
    outline: none;
}

/* Media */

@media (max-width: 600px) {
    #left[b-gsg5irxk2l] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #middle[b-gsg5irxk2l] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #right[b-gsg5irxk2l] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #board[b-gsg5irxk2l] {
        flex-direction: column;
        padding-top: 0px;
        padding-left: 0px;
        width: auto;
        height: auto;
        background-color: #9D8969;
        background-image: none !important;
        padding-bottom: 8px;
    }
}
/* _content/ThePhysiciansGuildBlazor/Components/Guild/Pages/WeaponsAndSpells.razor.rz.scp.css */
#board[b-chxiev303v] {
    display: flex;
    width: 1200px;
    height: 730px;
    padding-top: 160px;
    background-size: contain;
    background-repeat: no-repeat;
    padding-left: 60px;
    position: relative;
}

.form-label[b-chxiev303v] {
    color: #F1C835;
    padding-top: 24px;
    padding-left: 12px;
    text-shadow: 2px 2px 2px black;
    font-size: 14px;
}

/* Class */

#Name[b-chxiev303v] {
    position: absolute;
    top: 30px;
    font-size: 140%;
    font-weight: bold;
    width: 100%;
    text-align: center;
}

#Image[b-chxiev303v] {
    filter: drop-shadow(0 0 10px rgba(0, 255, 255, 0.8)) drop-shadow(0 0 20px rgba(0, 255, 255, 0.5));
    transform: translateZ(0); /* Have to add this as a way to make the drop shadow work on iOS. This forces hardware acceleration. */
    position: absolute;
    top: 70px;
}

#ImageBox[b-chxiev303v] {
    background-image: url('/images/profile/profilecharbox.png');
    background-size: cover;
    width: 300px;
    height: 400px;
    background-repeat: no-repeat;
    position: relative;
    margin: auto;
}

/* Notes */

.form-notes-back[b-chxiev303v] {
    background-image: url('/images/profile/formnotes.png');
    background-repeat: no-repeat;
    height: 190px;
    width: 350px;
}

[b-chxiev303v] .form-notes {
    border: 0px;
    color: #F1C835;
    background-color: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    margin-top: 35px;
    margin-left: 35px;
    width: 275px;
    height: 125px;
    resize: none;
}

    [b-chxiev303v] .form-notes:focus {
        outline: none;
    }

/* Select */

.form-select-back[b-chxiev303v] {
    background-image: url('/images/profile/formbox.png');
    background-repeat: no-repeat;
    height: 175px;
    width: 375px;
}

[b-chxiev303v] .form-select {
    border: 0px;
    width: 275px;
    height: 30px;
    color: white;
    margin-left: 40px;
    margin-top: 36px;
    background-color: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.form-select option[b-chxiev303v] {
    background-color: #333333;
}

[b-chxiev303v] .form-select:focus {
    outline: none;
}

/* Media */

@media (max-width: 600px) {
    #left[b-chxiev303v] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #middle[b-chxiev303v] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #right[b-chxiev303v] {
        width: auto !important;
        height: auto !important;
        padding: 4px !important;
        margin: auto !important;
    }

    #board[b-chxiev303v] {
        flex-direction: column;
        padding-top: 0px;
        padding-left: 0px;
        width: auto;
        height: auto;
        background-color: #9D8969;
        background-image: none !important;
        padding-bottom: 8px;
    }
}
/* _content/ThePhysiciansGuildBlazor/Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-t0u0rve6it] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-t0u0rve6it] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/ThePhysiciansGuildBlazor/Components/Shared/ToastMessage.razor.rz.scp.css */
.toastMessage[b-576m6v2fo9] {
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    width: 75%;
    height: 100px;
    line-height: 100px; /* Must be equal to the height */
    text-align: center; /* For horizontal centering */
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 8px 8px 0 0;
    border-left: 1px solid #333333;
    border-right: 1px solid #333333;
    border-top: 1px solid #333333;
    padding: 8px;
}
